version: "3.7"

services:

  python:
    container_name: nlpgenwater
    image: nlpgen-image:${IMAGE_TAG:-latest}
    build:
      context: .
    command: gunicorn nlpgen_python.wsgi:application --bind 0.0.0.0:8000 --reload --timeout 720 --workers 12
    env_file:
      - ./.env
    volumes:
      - ./docker/python.ini:/usr/local/etc/python/python.ini
      - ./logs:/app/logs
    ports:
      - 8000:8000
    restart: unless-stopped
    cpus: 4.0
    mem_limit: 8G
    